# Turn Timer Plugin

This unofficial TaleSpire plugin adds a configurable timer typically used for combat turns.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

Note: Shortcut key can be configured in the R2ModMan config for the plugin.

## Usage

Use the keyboard shortcut (default ``RCTRL``+``T``) to open the timer.

The Play button (triangle icon) starts and restarts the timer.
The Pause button (double lines icon) toggle timer pause mode.
The Expire button (red X) causes the time to trigger its end event.
The Close button (box) causes the timer to disapper (and reset).

## R2ModMan Plugin Settings

``Timer Vertical Offset`` = Pixel offset from the top of the screen to the timer's position.
``Auto Advance Initiative On Timout`` = If true will automatically advance the initiative when timer expires.
``Auto Restart Timer On Initiative To Player Character`` = If true will restart the timer if the new initiative
creature is a player control creature.
``Auto Restart Timer On Initiative To GM Character`` = If true will restart the timer if the new initiative
creature is a GM control creature.

## Custom Timer Configuration

The timer is highly configurable. The configuration is stored in a file called ``TurnTimer.json`` and has the
following format:
```
{
  "sequence": [
    {
      "time": 0,
      "color": "Green",
      "audioSource": "tick.mp3"
    },
    {
      "time": 60,
      "color": "Yellow",
      "audioSource": "tick.mp3"
    },
    {
      "time": 120,
      "color": "Orange",
      "audioSource": "tick.mp3"
    },
    {
      "time": 180,
      "color": "Magenta",
      "audioSource": "tick.mp3"
    },
    {
      "time": 240,
      "color": "Red",
      "audioSource": "buzzer.wav"
    }
  ]
}
```
Where:

``time`` is the number of seconds after which the "event" occurs.
``color`` is the color that the timer text changes to when the "event" occurs.
``audioSource`` is the name of a audio file to be played. Keep empty string to not play audio (MP3 and WAV supported).
